<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
 
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $sede_usuario=$_SESSION['SEDE_USUARIO']; 
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="gestiona_secciones.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="9" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="gestiona_secciones.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  


 
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

// Tabla: Sede

	   $query_rstSede = "SELECT codigo,nombre_sede,ubicacion_sede FROM sedes ORDER BY nombre_sede";
	   
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);

// Tabla: Periodos
$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo,periodos.tipo FROM periodos where status='ABIERTO' ORDER BY periodos.id_periodo asc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

// Tabla: Carreras
$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);


 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siace -- gestiona secciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

</head>
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_materias.php",{ id:$(this).val() },function(data){$("#materia").html(data);})
	});
})
</script>


<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_pensum1.php",{ id:$(this).val() },function(data){$("#pensum").html(data);})
	});	
})
</script>
<body>
<?php
// Cargo los datos de las Carreras.

mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Gestión de Secciones </h2></td></tr></table>
<form name="form1" method="post" action="">
  <table width="99%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td width="59"><div align="right">Lapso:</div></td>
      <td width="134"><select name="periodo" id="periodo">
        <option value="0">SELECCIONE...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
        <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
      </select></td>
      <td width="137"><div align="right">Sede:</div></td>
      <td width="164"><div align="left">
        <select name="sede" id="sede">
          <?php 
	     if($sede_usuario=='14-01'){ ?>
          <option value="0">SELECCIONE...</option>
          <?php
		}
do {  
?>
          <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['ubicacion_sede'].' - '.$row_rstSede['nombre_sede']?></option>
          <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
        </select>
      </div></td>
      <td width="54">&nbsp;</td>
      <td width="260">&nbsp;</td>
    </tr>
    <tr>
      <td>Carrera:</td>
      <td colspan="5"><select name="id_carrera" id="id_carrera" style="width:450px">
          <option selected value="LCF">LICENCIATURA EN CIENCIAS FISCALES</option>
      </select>
	  &nbsp;&nbsp;Pensum:&nbsp;
	  <select name="pensum" id="pensum">
          <option value="6">6</option>
        </select>
	  </td>
    </tr>
    
    <tr>
      <td><div align="right">Nivel:</div>
      <td colspan="5">
	  <select name="nivel">
        <option value="0">SELECCIONE...</option>
        <option value="CIU">CURSO DE INICIACIÓN UNIVERSITARIA</option>
        <option value="CG">COMPONENTE GENERAL</option>
        <option value="CP">CICLO PROFESIONAL</option>
      </select> 
	  </td>
    </tr>
    


    <tr>
      <td height="34" colspan="6"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Gestionar" onClick="gestionar()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.periodo.value==0){
			alert("El campo <<Período>> es obligatorio");
			document.form1.tipodoc.focus();
			return false;
			}
		if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.nacionalidad.focus();
			return false;
			}
		if(document.form1.id_programa.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.apellidos.focus();
			return false;
			}
		
			return true;
	}
	
	function mostrar_foto(ruta) 
	{
		if(ruta!="")
		{
		//document.form1.fotop.src="";
		document.form2.submit();
		}
	}
</script>
 <?php

mysql_free_result($rstSede);
mysql_free_result($rstPeriodos);
mysql_free_result($rstCarreras);

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
?>

<script type="text/javascript">
 function gestionar()
 {
     if(document.form1.periodo.value==0){
			alert("El campo <<Período>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
		if(document.form1.pensum.value==0){
			alert("El campo <<Número de Pensum>> es obligatorio");
			document.form1.pensum.focus();
			return false;
			}
		if(document.form1.nivel.value==0){
			alert("El campo <<Nivel>> es obligatorio");
			document.form1.nivel.focus();
			return false;
			}	
	 window.document.location="secciones.php?periodo="+document.form1.periodo.value+"&sede="+document.form1.sede.value+"&carrera="+document.form1.id_carrera.value+"&pensum="+document.form1.pensum.value+"&nivel="+document.form1.nivel.value+"&a=reset";
 }
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
